org.apache.maven.scm.command.blame

## Class AbstractBlameCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.blame.AbstractBlameCommand

All Implemented Interfaces:
  Command

Direct Known Subclasses:
  AbstractCvsBlameCommand, BazaarBlameCommand, ClearCaseBlameCommand, GitBlameCommand, HgBlameCommand, PerforceBlameCommand, SvnBlameCommand, TfsBlameCommand

    public abstract class AbstractBlameCommand
    extends AbstractCommand

Since:
  1.4
Author:
  Evgeny Mandrikov

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`AbstractBlameCommand()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract BlameScmResult` `executeBlameCommand(ScmProviderRepository repo, ScmFileSet workingDirectory, String filename)`
`protected ScmResult` `executeCommand(ScmProviderRepository repository, ScmFileSet workingDirectory, CommandParameters parameters)`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractBlameCommand

    public AbstractBlameCommand()

### Method Detail

#### executeBlameCommand

    public abstract BlameScmResult executeBlameCommand(ScmProviderRepository repo,
                                                       ScmFileSet workingDirectory,
                                                       String filename)
                                                throws ScmException

Throws:
  `ScmException`

#### executeCommand

    protected ScmResult executeCommand(ScmProviderRepository repository,
                                       ScmFileSet workingDirectory,
                                       CommandParameters parameters)
                                throws ScmException

Specified by:
  `executeCommand` in class `AbstractCommand`
Throws:
  `ScmException`